=== debian/changelog ===
pyferret (7.4.4-1) unstable; urgency=medium

  * New upstream release
  * Don't hard-code xz compresson

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 09 Dec 2018 09:19:53 +0000

pyferret (7.4.3-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version: 4.2.1
  * Add watch file
  * Update  X-Python*-Version lines in d/control

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 20 Sep 2018 07:31:34 +0100
