## pyferret 7.5.0

=== Makefile ===
--- 
+++ 
@@ -23,16 +23,6 @@
 	mkdir -p $(DIR_PREFIX)/lib
 	$(COPY_DYLIBS)
 	$(MAKE) -C $(DIR_PREFIX)/fer optimized
-	$(MAKE) pymod_optimized_build
-	$(MAKE) pymod_optimized_install
-	$(MAKE) externals_optimized
-	$(MAKE) -C $(DIR_PREFIX)/bin/build_fonts/unix
-
-.PHONY : beta
-beta :
-	mkdir -p $(DIR_PREFIX)/lib
-	$(COPY_DYLIBS)
-	$(MAKE) -C $(DIR_PREFIX)/fer beta
 	$(MAKE) pymod_optimized_build
 	$(MAKE) pymod_optimized_install
 	$(MAKE) externals_optimized
@@ -210,4 +200,8 @@
 check :
 	$(MAKE) -C $(DIR_PREFIX)/bench check
 
+.PHONY : check_noremote
+check_noremote :
+	$(MAKE) -C $(DIR_PREFIX)/bench check_noremote
+
 ##
