=== debian/changelog ===
pyferret (7.5.0-2ubuntu2) focal; urgency=medium

  * No-change upload for netcdff soname change.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 31 Jan 2020 07:20:34 +0100

pyferret (7.5.0-2ubuntu1) focal; urgency=medium

  * Fix build with experimental pango1.0.
  * Fix linking with the Python 3.8 library.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 29 Jan 2020 08:47:41 +0100

pyferret (7.5.0-2build1) focal; urgency=medium

  * No-change rebuild to build with python3.8.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 25 Jan 2020 04:38:31 +0000

pyferret (7.5.0-2) unstable; urgency=medium

  * Drop python-ferret for python2 transition
  * Standards-Version: 4.4.0

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 16 Jul 2019 13:14:37 +0100

pyferret (7.5.0-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version: 4.3.0
  * B-D on gfortran | fortran-compiler
  * Use debhelper 12

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 17 Jun 2019 12:41:41 +0100
