=== debian/control ===
Source: pyferret
Standards-Version: 4.4.0
Homepage: http://ferret.pmel.noaa.gov/Ferret/documentation/pyferret
Vcs-Browser: https://salsa.debian.org:/science-team/pyferret
Vcs-Git: https://salsa.debian.org:/science-team/pyferret.git
Maintainer: Alastair McKinstry <mckinstry@debian.org>
Section: science
Priority: optional
X-Python3-Version: >= 3.6
Build-Depends: debhelper (>= 12),
 gfortran | fortran-compiler,
 pkg-config,
 csh,
 dh-python,
 libreadline-dev, 
 libcurl4-openssl-dev | libcurl-dev, 
 libncurses-dev, 
 libnetcdf-dev (>= 4.3.0),
 libnetcdff-dev,
 libxpm-dev, 
 libxt-dev, 
 libcairo2-dev, 
 libpango1.0-dev,
 python3-dev,
 python3-numpy,
 python3-future,
 ferret-vis

Package: python3-ferret
Architecture: any
Section: python
Depends: ${misc:Depends}, ${shlibs:Depends}, ferret-vis, ${python3:Depends}, python3-future
Recommends: ferret-datasets, python3-scipy, python3-pyshp
Description: Python3 wrapper for the Ferret visualization and analysis environment,
 Ferret is an interactive computer visualization and analysis environment
 designed to meet the needs of oceanographers and meteorologists analyzing
 large and complex gridded data sets. It can transparently access extensive
 remote Internet data bases using OPeNDAP (formerly known as DODS)
 .
 This is the Python3 wrapper for Ferret
